//table.h
//CSE124C Section 4 Lab4 by Haibei Zhang

#ifndef table_h
#define table_h

#include <iomanip.h>
#include "Cstring.h"
#include "d_vector.h"


class table
{
private:
	//The vector that stores the symmetrical matrix
	Vector<int> distance;
	//The vector that stores names of cities
	Vector<Cstring> city;


public:
	//constructor
	table();

	//Read the table from input.txt
	void readTable();

	//Return the distance between 2 cities specified by its row and column
	//0<=row<=5
	//0<=col<=5
	int getDistance(int row, int col);

	//Print the table to output.txt
	void printTable();
};


#endif //table_h